
Core - Bug # 53759

Task # 52965 (Closed): Remove deprecated functions, classes and files

Status: Rejected Priority: Should have
Author: Cynthia Mattingly Category:
Created: 2013-11-19 Assigned To:
Updated: 2014-11-04 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Deprecated function call set_magic_quotes_runtime
Description

Result of php codesniffer for deprecated functions:

typo3_src-6.2.0beta1/typo3/contrib/pear/HTTP/Request2.php
------------------------------------------------------------------------------------------------------------------------
FOUND 2 ERROR AFFECTING 2 LINE
------------------------------------------------------------------------------------------------------------------------
 949 | ERROR | Function set_magic_quotes_runtime() has been deprecated
 964 | ERROR | Function set_magic_quotes_runtime() has been deprecated
------------------------------------------------------------------------------------------------------------------------

set_magic_quotes_runtime is deprecated since php 5.3.

Related issues:
related to Core - Task # 62672: Update PEAR packages Resolved 2014-11-04

History
#1 - 2013-11-19 16:50 - Markus Klein
- Category deleted (Default)
- Status changed from New to Accepted

Maybe an update of the HTTP library is necessary.

#2 - 2014-03-15 13:45 - Markus Klein
- Parent task set to #56772

#3 - 2014-03-15 13:46 - Markus Klein
- Parent task changed from #56772 to #52965

#4 - 2014-11-04 01:55 - Markus Klein
- Status changed from Accepted to Rejected
- Target version deleted (6.2.0)

I checked the current version of the lib, but this code is still present there. But this will not cause trouble, because the usage is protected with a proper
check.

2015-08-04 1/2



2015-08-04 2/2


